/***** CSS Reset *****/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}

article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}

body, html{
    height: 100%;
    width: 100%;
    -webkit-tap-highlight-color: transparent;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}
a{
    color: inherit;
    text-decoration: none; 
}
ul, li{
    list-style-type: none;
    padding: 0;
    margin: 0;
}

button,
input,
optgroup,
select,
textarea{
    border:none;
    background-image:none;
    background-color:transparent;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
    border-radius: none;
}

input:focus,
select:focus,
textarea:focus,
button:focus {
    outline: none;
}

@font-face {
    font-family: 'Folio-BQ';
    src: url('../fonts/FolioBQ-Regular.eot');
    src: url('../fonts/FolioBQ-Regular.eot?#iefix') format('embedded-opentype'),
        url('../fonts/FolioBQ-Regular.woff2') format('woff2'),
        url('../fonts/FolioBQ-Regular.woff') format('woff'),
        url('../fonts/FolioBQ-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}


/*************************************************************/
/*                       Core Styles                         */
/*************************************************************/

.upper{ text-transform: uppercase; }
.caps{ text-transform: capitalize; }
.low{ text-transform: lowercase; }
.underline{ border-bottom: solid 1px black; }

.box{ box-sizing: border-box; }
.button{ cursor: pointer; }

.elp{  
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.noselect {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

#enquire-parent a,
#enquire-parent a:hover{ color: rgba(0, 0, 0, 1); }

a:hover,
a.nav-item { color: rgba(180, 180, 180, 1); }

a,
a.nav-item:hover,
a.nav-item.active { color: rgba(0, 0, 0, 1); }


a:focus, button:focus {outline: 0;}



/*************************************************************/
/*                   Margins and Padding                     */
/*************************************************************/

.p-a{ padding: 2.5rem; }
.p-t{ padding-top: 2.5rem; }
.p-b{ padding-bottom: 2.5rem; }
.p-l{ padding-left: 2.5rem; }
.p-r{ padding-right: 2.5rem; }

.p-a-h{ padding: .6rem; }
.p-t-h{ padding-top: .6rem; }
.p-b-h{ padding-bottom: .6rem; }
.p-l-h{ padding-left: .6rem; }
.p-r-h{ padding-right: .6rem; }

.p-a-2{ padding: 2.5rem; }
.p-t-2{ padding-top: 1.8rem; }
.p-b-2{ padding-bottom: 2.5rem; }
.p-l-2{ padding-left: 2.5rem; }
.p-r-2{ padding-right: 2.5rem; }

.p-a-3{ padding: 3rem; }
.p-t-3{ padding-top: 3rem; }
.p-b-3{ padding-bottom: 3rem; }
.p-l-3{ padding-left: 3rem; }
.p-r-3{ padding-right: 3rem; }

.p-a-4{ padding: 4rem; }
.p-t-4{ padding-top: 4rem; }
.p-b-4{ padding-bottom: 4rem; }
.p-l-4{ padding-left: 4rem; }
.p-r-4{ padding-right: 4rem; }


.m-a{ margin: 2.5rem; }
.m-t{ margin-top: 2.5rem; }
.m-b{ margin-bottom: 2.5rem; }
.m-l{ margin-left: 2.5rem; }
.m-r{ margin-right: 2.5rem; }

    .m-a-h{ margin: .85rem; }
    .m-t-h{ margin-top: .85rem; }
    .m-b-h{ margin-bottom: .85rem; }
    .m-l-h{ margin-left: .85rem; }
    .m-r-h{ margin-right: .85rem; }
        
        .m-a-q{ margin: .45rem; }
        .m-t-q{ margin-top: .45rem; }
        .m-b-q{ margin-bottom: .45rem; }
        .m-l-q{ margin-left: .45rem; }
        .m-r-q{ margin-right: .45rem; }

.m-a-2{ margin: 3.75rem; }
.m-t-2{ margin-top: 3.75rem; }
.m-b-2{ margin-bottom: 3.75rem; }
.m-l-2{ margin-left: 3.75rem; }
.m-r-2{ margin-right: 3.75rem; }

.m-a-3{ margin: 3rem; }
.m-t-3{ margin-top: 3rem; }
.m-b-3{ margin-bottom: 3rem; }
.m-l-3{ margin-left: 3rem; }
.m-r-3{ margin-right: 3rem; }

.m-a-4{ margin: 5rem; }
.m-t-4{ margin-top: 5rem; }
.m-b-4{ margin-bottom: 5rem; }
.m-l-4{ margin-left: 5rem; }
.m-r-4{ margin-right: 5rem; }


/*************************************************************/
/*                         Commons                           */
/*************************************************************/

#wrapper {
    position: fixed;
    height: 100%;
    width: 100%;
    display: grid;
    grid-template-columns: auto;
    grid-template-rows: min-content auto min-content;
    gap: 0px 0px;
    grid-template-areas:
    "header"
    "content"
    "footer";
    overflow: auto;
}
    #wrapper section{
        cursor: default;
        position: relative;
        box-sizing: border-box;
        text-transform: lowercase;
        font-family: Folio-BQ;
        font-size: 20.5pt;
        letter-spacing: -.01em;
        word-spacing: -0.025rem;
        width: 100vw;
    }

    #wrapper .s2{
        font-family: Folio-BQ;
        font-size: 15pt;
        letter-spacing: -.01em;
        word-spacing: -0.025rem;
    }

    section#header-wrapper { 
        grid-area: header;
        display: flex;
        align-items: center;
        justify-content: center;
        height: 8rem;
        z-index: 200;
        opacity: .8;
    }

    section#content-wrapper { 
        grid-area: content;
        z-index: 100;
    }
    section#footer-wrapper {
        grid-area: footer;
        display: flex;
        align-items: center;
        justify-content: center;
        height: 8rem;
        z-index: 200;
        opacity: .8;
    }



            
/*************************************************************/
/*                   Navigation and Enquiry                  */
/*************************************************************/

#navigation,
#captions{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100%;
    width: 100%;
}

    .visible,
    .hidden{
        text-align: center;
        align-items: center;
        justify-content: center;
        cursor: pointer;
        height: 1.5em;
        width: auto;
    }

    .visible{
        display: flex;
    }

    .hidden{
        display: none;
    }

        .open-navigation #navigation .visible,
        .open-captions #captions .visible{ display: none; }

        .open-navigation #navigation .hidden,
        .open-captions #captions .hidden{ display: flex; }


#navigation svg{
    display: block;
    transform: translateY(5px);
    max-height: 100%;
    height: 1.725rem;
    width: auto;
    pointer-events: none !important;
}

#captions .caption{
    display: none;
    width: auto;
    height: 100%;
}

    #captions .caption { display: none; }
    #captions .caption.active { display: block; }


/*************************************************************/
/*                       AJAX Navigation                     */
/*************************************************************/

*[p='home'] #about-parent,
*[p='home'] #archive-parent{ display: none; }

*[p='about'] #about-parent{ display: block; }
*[p='about'] #archive-parent{ display: none; }
*[p='about'] #footer-wrapper{ display: none; }

*[p='archive'] #about-parent{ display: none; }
*[p='archive'] #archive-parent { display: flex; }
*[p='archive'] #footer-wrapper{ display: none; }

.open-navigation .slick-arrow,
.open-navigation .slick-list{ pointer-events: none !important; }


/*************************************************************/
/*                         Navigation                        */
/*************************************************************/

#navigation-parent .nav-item{
    height: 2em;
    line-height: 2em;
    margin-right: 1.725rem;
}

#navigation-parent .nav-item:last-child{ margin-right: 0rem; }

/*************************************************************/
/*                           About                           */
/*************************************************************/

#about-parent{
    line-height: 1.9rem;
    margin-top: 2rem;
    position: relative;
    margin-right: auto;
    margin-left: auto;
    left: 0;
    right: 0;
    width: 100%;
    height: auto;
    max-width: 50rem;
    pointer-events: none;
    z-index: 100;
}

    #about-parent #description,
    #about-parent .title,
    #about-parent .links a,
    #about-parent .label{ pointer-events: all !important; }

    #about-parent #links,
    #about-parent #credits{
        position: relative;
        width: 100%;
        height: auto;
        line-height: 1.7rem;
    }

    #about-parent .module:first-child{
        margin-top: -.05em;
    }
    #about-parent p{
        margin-bottom: .85rem;
    }

    #about-parent a{
        display: inline-block;
        width: auto;
    }



#about-parent .s2{
/*    transform: translateY(-2px);*/
    display: inline-block;
}

/*************************************************************/
/*                         Archive                           */
/*************************************************************/

#archive-parent{
/*    line-height: 1.8rem;*/
    margin-top: 2.05rem;
    align-items: center;
    flex-direction: column;
    position: relative;
    margin-right: auto;
    margin-left: auto;
    left: 0;
    right: 0;
    width: 100%;
    height: auto;
    max-width: 70rem;
    pointer-events: none;
    z-index: 100;
}
    #archive-parent a{ pointer-events: all !important; }

    .item-parent{
        display: block;
/*
        display: flex;
        justify-content: center;
*/
        height: auto;
        width: auto;
        overflow: visible;
    }
        #archive-parent a{
            display: block;
            text-align: center;
            text-overflow: ellipsis;
            white-space: nowrap;
            overflow: hidden;
            line-height: 1.7rem;
            max-width: 100%;
/*            margin-top: -.55em;*/
        }
        #archive-parent a *{ 
            vertical-align: baseline;
        }


/************************************************************/
/*                         Content                          */
/************************************************************/


/************************* Carousel *************************/

#carousel-parent{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 50;
}
    #carousel-parent .slide{
        display: flex;
        align-items: center;
        justify-content: space-evenly;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 25;
    }
        .slide img{
            min-height: 20rem;
        }
        .slide img.singleLarge{
            max-width: 100%;
            max-height: calc(100% - 16rem);
        }
        .slide img.singleMed{
            max-width: 100%;
            height: calc(100% - 16rem);
            max-height: 50%;
        }
        .slide img.double{
            max-width: 100%;
            max-height: 33%;
        }
        .slide .full{
            background-size: cover;
            background-position: center;
            width: 100%;
            height: 100%;
        }


/************************************************************/
/*                          Footer                          */
/************************************************************/

#footer-wrapper .caption{
    display: none;
    width: auto;
    max-width: 100%;
    height: auto;
}

    #footer-wrapper .caption { display: none; }
    #footer-wrapper .caption.active { display: block; }


        #enquire-parent a span,
        #model-parent .materials span{ 
            vertical-align: baseline;
        }

        #model-parent .materials{
/*            transform: translateY(-5px);*/
            height: 2em;
            line-height: 2em;
            text-overflow: ellipsis;
            white-space: nowrap;
            overflow: hidden;
        }
        #enquire-parent a{
/*            transform: translateY(-5px);*/
            height: 2em;
            line-height: 2em;
            text-overflow: ellipsis;
            white-space: nowrap;
            overflow: hidden;
        }



/*************************************************************/
/*                       Responsiveness                      */
/*************************************************************/

@media only screen and (max-width: 767px)  {
    
    .p-a{ padding: 1.4rem; }
    
    #wrapper section{
        text-transform: lowercase;
        font-family: Folio-BQ;
        font-size: 14pt;
        line-height: 18pt;
        letter-spacing: -.01em;
        word-spacing: -0.025rem;
    }

    #wrapper .s2{
        font-size: 11pt;
        letter-spacing: -.01em;
        word-spacing: -0.025rem;
    }
    
    #about-parent{ line-height: 1.25rem; }
    #archive-parent { margin-top: 2.2rem; }
    #archive-parent a { height: 1.25rem; line-height: .75rem; }
    
    #about-parent #links,
    #about-parent #credits{ line-height: 1.2rem; }

    section#header-wrapper,
    section#footer-wrapper{ height: 5rem; }

        
    #logo-parent svg{ height: 1.2rem; }
    
    #carousel-parent .slide{
        flex-direction: column;
    }
        .slide img{
            min-height: auto;
        }

        .slide img.singleLarge{
            max-width: 100%;
            max-height: calc(100% - 10rem);
        }
        .slide img.singleMed{
            width: calc(100% - 5.6rem);
            height: auto;
            box-sizing: border-box;
        }
        .slide img.double{
            max-width: 100%;
            max-height: 30%;
        }
    
        .slide .full{
            width: 100%;
            height: 100%;
        }
    
        .slick-arrow{ display: none !important; }
    
    .visible,
    .hidden{
        min-width: auto;
    }

}

@media only screen and (min-width: 768px) and (max-width: 1100px) {
}


@media only screen and (min-width: 1100px) and (max-width: 1600px) {
}

@media only screen and (min-width: 1600px) {
}
